org.appng.xml.platform

## Class Data

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Data

- All Implemented Interfaces:
    Serializable

      public class Data
      extends BaseObject
      implements Serializable

  The actual payload of a `Datasource`, containing either a single `Result` or a `Resultset`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `paginate`
    `protected Result` | `result`
    `protected Resultset` | `resultset`
    `protected List<SelectionGroup>` | `selectionGroups`
    `protected List<Selection>` | `selections`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `getResult()` Gets the value of the result property.
    `Resultset` | `getResultset()` Gets the value of the resultset property.
    `List<SelectionGroup>` | `getSelectionGroups()` Gets the value of the selectionGroups property.
    `List<Selection>` | `getSelections()` Gets the value of the selections property.
    `Boolean` | `isPaginate()` If empty or evaluating to `true`, the `Resultset` supports pagination
    `void` | `setPaginate(Boolean value)` Sets the value of the paginate property.
    `void` | `setResult(Result value)` Sets the value of the result property.
    `void` | `setResultset(Resultset value)` Sets the value of the resultset property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selections

          protected List<Selection> selections

    - #### selectionGroups

          protected List<SelectionGroup> selectionGroups

    - #### resultset

          protected Resultset resultset

    - #### result

          protected Result result

    - #### paginate

          protected Boolean paginate

  - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### getSelections

          public List<Selection> getSelections()

      Gets the value of the selections property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the selections property.

      For example, to add a new item, do as follows:

              getSelections().add(newItem);

      Objects of the following type(s) are allowed in the list `Selection`

    - #### getSelectionGroups

          public List<SelectionGroup> getSelectionGroups()

      Gets the value of the selectionGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the selectionGroups property.

      For example, to add a new item, do as follows:

              getSelectionGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `SelectionGroup`

    - #### getResultset

          public Resultset getResultset()

      Gets the value of the resultset property.
      Returns:
        possible object is `Resultset`

    - #### setResultset

          public void setResultset(Resultset value)

      Sets the value of the resultset property.
      Parameters:
        `value` - allowed object is `Resultset`

    - #### getResult

          public Result getResult()

      Gets the value of the result property.
      Returns:
        possible object is `Result`

    - #### setResult

          public void setResult(Result value)

      Sets the value of the result property.
      Parameters:
        `value` - allowed object is `Result`

    - #### isPaginate

          public Boolean isPaginate()

      If empty or evaluating to `true`, the `Resultset` supports pagination
      Returns:
        possible object is `Boolean`

    - #### setPaginate

          public void setPaginate(Boolean value)

      Sets the value of the paginate property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.